
package com.inprise.server.idl;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/ServerManagerService.idl"
 * <li> <b>IDL Name</b>      ::server::ServerManagerService
 * <li> <b>Repository Id</b> IDL:inprise.com/server/ServerManagerService:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface ServerManagerService {
  ...
};
 * </pre>
 */
public class ServerManagerServicePOATie extends ServerManagerServicePOA {
  private com.inprise.server.idl.ServerManagerServiceOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public ServerManagerServicePOATie (final com.inprise.server.idl.ServerManagerServiceOperations _delegate) {
    this._delegate = _delegate;
  }

  public ServerManagerServicePOATie (final com.inprise.server.idl.ServerManagerServiceOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public com.inprise.server.idl.ServerManagerServiceOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final com.inprise.server.idl.ServerManagerServiceOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   oneway void shutdown ();
   * </pre>
   */
  public void shutdown () {
    this._delegate.shutdown();
  }

  /**
   * <pre>
   *   unsigned short getServerState ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public short getServerState () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServerState();
  }

  /**
   * <pre>
   *   oneway void stopNormalServer ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void stopNormalServer () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.stopNormalServer();
  }

  /**
   * <pre>
   *   oneway void stopKillServer ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void stopKillServer () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.stopKillServer();
  }

  /**
   * <pre>
   *   oneway void restartServer ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void restartServer () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.restartServer();
  }

  /**
   * <pre>
   *   unsigned short getServiceState (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public short getServiceState (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceState(serviceName);
  }

  /**
   * <pre>
   *   boolean startService (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.NotSupported,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public boolean startService (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.NotSupported, 
                                                                     com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.startService(serviceName);
  }

  /**
   * <pre>
   *   boolean restartService (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.NotSupported,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public boolean restartService (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.NotSupported, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.restartService(serviceName);
  }

  /**
   * <pre>
   *   boolean stopNormalService (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.NotSupported,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public boolean stopNormalService (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.NotSupported, 
                                                                          com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                          com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.stopNormalService(serviceName);
  }

  /**
   * <pre>
   *   boolean stopKillService (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.NotSupported,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public boolean stopKillService (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.NotSupported, 
                                                                        com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                        com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.stopKillService(serviceName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServerAboutProperties ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServerAboutProperties () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServerAboutProperties();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServerEnvProperties ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServerEnvProperties () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServerEnvProperties();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServerGroupProperties (in string propertyGroup)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServerGroupProperties (java.lang.String propertyGroup) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServerGroupProperties(propertyGroup);
  }

  /**
   * <pre>
   *   void setServerProperty (in string name, in string value)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void setServerProperty (java.lang.String name, 
                                 java.lang.String value) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.setServerProperty(name, value);
  }

  /**
   * <pre>
   *   void addServerGroupProperty (in string propertyGroup, in string name,
                               in string value)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void addServerGroupProperty (java.lang.String propertyGroup, 
                                      java.lang.String name, 
                                      java.lang.String value) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.addServerGroupProperty(propertyGroup, name, value);
  }

  /**
   * <pre>
   *   void removeServerGroupProperty (in string propertyGroup, in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void removeServerGroupProperty (java.lang.String propertyGroup, 
                                         java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.removeServerGroupProperty(propertyGroup, name);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getServiceNames ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] getServiceNames () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceNames();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getServiceNamesOfType (in string type)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] getServiceNamesOfType (java.lang.String type) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceNamesOfType(type);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServiceAboutProperties (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServiceAboutProperties (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                              com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceAboutProperties(serviceName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServiceEnvProperties (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServiceEnvProperties (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                            com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceEnvProperties(serviceName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServiceGroupProperties (in string serviceName,
                                                                                                 in string propertyGroup)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServiceGroupProperties (java.lang.String serviceName, 
                                                                                                        java.lang.String propertyGroup) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceGroupProperties(serviceName, propertyGroup);
  }

  /**
   * <pre>
   *   void addServiceGroupProperty (in string serviceName,
                                in string propertyGroup, in string name,
                                in string value)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void addServiceGroupProperty (java.lang.String serviceName, 
                                       java.lang.String propertyGroup, 
                                       java.lang.String name, 
                                       java.lang.String value) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                       com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.addServiceGroupProperty(serviceName, propertyGroup, name, value);
  }

  /**
   * <pre>
   *   void removeServiceGroupProperty (in string serviceName,
                                   in string propertyGroup, in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void removeServiceGroupProperty (java.lang.String serviceName, 
                                          java.lang.String propertyGroup, 
                                          java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                         com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.removeServiceGroupProperty(serviceName, propertyGroup, name);
  }

  /**
   * <pre>
   *   void updateServiceProperties (in string serviceName,
                                in com.inprise.server.idl.ServerManagerServicePackage.StringProperties properties)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public void updateServiceProperties (java.lang.String serviceName, 
                                       com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] properties) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                               com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    this._delegate.updateServiceProperties(serviceName, properties);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getEJBJars (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public java.lang.String[] getEJBJars (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                com.inprise.server.idl.ServerManagerServicePackage.ReadError {
    return this._delegate.getEJBJars(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Bytes readEJBJarFile (in string containerName,
                                                                           in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public byte[] readEJBJarFile (java.lang.String containerName, 
                                java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                               com.inprise.server.idl.ServerManagerServicePackage.ReadError {
    return this._delegate.readEJBJarFile(containerName, name);
  }

  /**
   * <pre>
   *   void writeEJBJarFile (in string containerName, in string name,
                        in com.inprise.server.idl.ServerManagerServicePackage.Bytes bytes)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.WriteError);
   * </pre>
   */
  public void writeEJBJarFile (java.lang.String containerName, 
                               java.lang.String name, 
                               byte[] bytes) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                     com.inprise.server.idl.ServerManagerServicePackage.WriteError {
    this._delegate.writeEJBJarFile(containerName, name, bytes);
  }

  /**
   * <pre>
   *   void removeEJBJarFile (in string containerName, in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.DeleteError);
   * </pre>
   */
  public void removeEJBJarFile (java.lang.String containerName, 
                                java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                               com.inprise.server.idl.ServerManagerServicePackage.DeleteError {
    this._delegate.removeEJBJarFile(containerName, name);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getEjbsInJar (in string containerName,
                                                                           in string jarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] getEjbsInJar (java.lang.String containerName, 
                                          java.lang.String jarName) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getEjbsInJar(containerName, jarName);
  }

  /**
   * <pre>
   *   unsigned long getNrEJBRoleMapLines (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public int getNrEJBRoleMapLines (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                         com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    return this._delegate.getNrEJBRoleMapLines(serviceName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings readEJBRoleMap (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public java.lang.String[] readEJBRoleMap (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                                  com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    return this._delegate.readEJBRoleMap(serviceName);
  }

  /**
   * <pre>
   *   void writeEJBRoleMap (in string serviceName,
                        in com.inprise.server.idl.ServerManagerServicePackage.Strings lines)
    raises (com.inprise.server.idl.ServerManagerServicePackage.WriteError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public void writeEJBRoleMap (java.lang.String serviceName, 
                               java.lang.String[] lines) throws  com.inprise.server.idl.ServerManagerServicePackage.WriteError, 
                                                                 com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    this._delegate.writeEJBRoleMap(serviceName, lines);
  }

  /**
   * <pre>
   *   unsigned long getNrJavaOptionFileLines ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public int getNrJavaOptionFileLines () throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError {
    return this._delegate.getNrJavaOptionFileLines();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings readJavaOptionFile ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public java.lang.String[] readJavaOptionFile () throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError {
    return this._delegate.readJavaOptionFile();
  }

  /**
   * <pre>
   *   void writeJavaOptionFile (in com.inprise.server.idl.ServerManagerServicePackage.Strings lines)
    raises (com.inprise.server.idl.ServerManagerServicePackage.WriteError);
   * </pre>
   */
  public void writeJavaOptionFile (java.lang.String[] lines) throws  com.inprise.server.idl.ServerManagerServicePackage.WriteError {
    this._delegate.writeJavaOptionFile(lines);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getRARs (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public java.lang.String[] getRARs (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                             com.inprise.server.idl.ServerManagerServicePackage.ReadError {
    return this._delegate.getRARs(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Bytes readRARFile (in string containerName,
                                                                        in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ReadError);
   * </pre>
   */
  public byte[] readRARFile (java.lang.String containerName, 
                             java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                            com.inprise.server.idl.ServerManagerServicePackage.ReadError {
    return this._delegate.readRARFile(containerName, name);
  }

  /**
   * <pre>
   *   void writeRARFile (in string containerName, in string name,
                     in com.inprise.server.idl.ServerManagerServicePackage.Bytes bytes)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.WriteError);
   * </pre>
   */
  public void writeRARFile (java.lang.String containerName, 
                            java.lang.String name, 
                            byte[] bytes) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                  com.inprise.server.idl.ServerManagerServicePackage.WriteError {
    this._delegate.writeRARFile(containerName, name, bytes);
  }

  /**
   * <pre>
   *   void removeRARFile (in string containerName, in string name)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.DeleteError);
   * </pre>
   */
  public void removeRARFile (java.lang.String containerName, 
                             java.lang.String name) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                            com.inprise.server.idl.ServerManagerServicePackage.DeleteError {
    this._delegate.removeRARFile(containerName, name);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getConnectorsInRar (in string containerName,
                                                                                 in string jarName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public java.lang.String[] getConnectorsInRar (java.lang.String containerName, 
                                                java.lang.String jarName) throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getConnectorsInRar(containerName, jarName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServerStateProperties ()
    raises (com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServerStateProperties () throws  com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServerStateProperties();
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getServiceStateProperties (in string serviceName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getServiceStateProperties (java.lang.String serviceName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                              com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getServiceStateProperties(serviceName);
  }

  /**
   * <pre>
   *   unsigned long getLogTimestamp (in string serviceName, in string logType)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public int getLogTimestamp (java.lang.String serviceName, 
                              java.lang.String logType) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                                com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    return this._delegate.getLogTimestamp(serviceName, logType);
  }

  /**
   * <pre>
   *   unsigned long getNrLogLines (in string serviceName, in string logType)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public int getNrLogLines (java.lang.String serviceName, 
                            java.lang.String logType) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                              com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    return this._delegate.getNrLogLines(serviceName, logType);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.Strings getLogLines (in string serviceName,
                                                                          in string logType,
                                                                          in unsigned long startLine,
                                                                          in unsigned long endLine)
    raises (com.inprise.server.idl.ServerManagerServicePackage.ReadError,
            com.inprise.server.idl.ServerManagerServicePackage.UnknownName);
   * </pre>
   */
  public java.lang.String[] getLogLines (java.lang.String serviceName, 
                                         java.lang.String logType, 
                                         int startLine, 
                                         int endLine) throws  com.inprise.server.idl.ServerManagerServicePackage.ReadError, 
                                                              com.inprise.server.idl.ServerManagerServicePackage.UnknownName {
    return this._delegate.getLogLines(serviceName, logType, startLine, endLine);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEjbContainerStateProperties (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEjbContainerStateProperties (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                     com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getEjbContainerStateProperties(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEjbContainerSystemProperties (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEjbContainerSystemProperties (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getEjbContainerSystemProperties(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getEjbContainerStatistics (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getEjbContainerStatistics (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getEjbContainerStatistics(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getConnectorContainerStateProperties (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getConnectorContainerStateProperties (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                           com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getConnectorContainerStateProperties(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getConnectorContainerSystemProperties (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getConnectorContainerSystemProperties (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                            com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getConnectorContainerSystemProperties(containerName);
  }

  /**
   * <pre>
   *   com.inprise.server.idl.ServerManagerServicePackage.StringProperties getConnectorContainerStatistics (in string containerName)
    raises (com.inprise.server.idl.ServerManagerServicePackage.UnknownName,
            com.inprise.server.idl.ServerManagerServicePackage.ServiceException);
   * </pre>
   */
  public com.inprise.server.idl.ServerManagerServicePackage.StringProperty[] getConnectorContainerStatistics (java.lang.String containerName) throws  com.inprise.server.idl.ServerManagerServicePackage.UnknownName, 
                                                                                                                                                      com.inprise.server.idl.ServerManagerServicePackage.ServiceException {
    return this._delegate.getConnectorContainerStatistics(containerName);
  }

}
