package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::FileInstance
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/FileInstance:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface FileInstance {
  ...
};
 * </pre>
 */
public interface FileInstanceOperations {
  /**
   * <pre>
   *   long read (out com.inprise.util.ncs.bytes buffer, in long bufferSize)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError,
            com.inprise.util.ncs.EndOfFile);
   * </pre>
   */
  public int read (com.inprise.util.ncs.bytesHolder buffer, 
                   int bufferSize) throws com.inprise.util.ncs.BadState, 
                                          com.inprise.util.ncs.FileAccessError, 
                                          com.inprise.util.ncs.EndOfFile;

  /**
   * <pre>
   *   long write (in com.inprise.util.ncs.bytes buffer, in long bufferSize)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public int write (byte[] buffer, 
                    int bufferSize) throws com.inprise.util.ncs.BadState, 
                                           com.inprise.util.ncs.FileAccessError;

  /**
   * <pre>
   *   boolean reset ();
   * </pre>
   */
  public boolean reset ();

  /**
   * <pre>
   *   void close ()
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public void close () throws com.inprise.util.ncs.BadState, 
                              com.inprise.util.ncs.FileAccessError;

  /**
   * <pre>
   *   void cancel ();
   * </pre>
   */
  public void cancel ();

  /**
   * <pre>
   *   boolean exists ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public boolean exists () throws com.inprise.util.ncs.BadState;

  /**
   * <pre>
   *   string getName ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public java.lang.String getName () throws com.inprise.util.ncs.BadState;

  /**
   * <pre>
   *   string getPath ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public java.lang.String getPath () throws com.inprise.util.ncs.BadState;

  /**
   * <pre>
   *   string getAbsolutePath ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public java.lang.String getAbsolutePath () throws com.inprise.util.ncs.BadState;

  /**
   * <pre>
   *   boolean isAbsolute ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public boolean isAbsolute () throws com.inprise.util.ncs.BadState;

  /**
   * <pre>
   *   string getCanonicalPath ()
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public java.lang.String getCanonicalPath () throws com.inprise.util.ncs.BadState, 
                                                     com.inprise.util.ncs.FileAccessError;

  /**
   * <pre>
   *   string getParent ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public java.lang.String getParent () throws com.inprise.util.ncs.BadState;

  /**
   * <pre>
   *   boolean canRead ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public boolean canRead () throws com.inprise.util.ncs.BadState;

  /**
   * <pre>
   *   boolean canWrite ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public boolean canWrite () throws com.inprise.util.ncs.BadState;

  /**
   * <pre>
   *   boolean isHidden ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public boolean isHidden () throws com.inprise.util.ncs.BadState;

  /**
   * <pre>
   *   long long length ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public long length () throws com.inprise.util.ncs.BadState;

  /**
   * <pre>
   *   long long lastModified ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public long lastModified () throws com.inprise.util.ncs.BadState;

  /**
   * <pre>
   *   boolean isOpen ();
   * </pre>
   */
  public boolean isOpen ();

}
