package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::FileInstance
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/FileInstance:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface FileInstance {
  ...
};
 * </pre>
 */
public abstract class FileInstancePOA extends org.omg.PortableServer.Servant implements 
org.omg.CORBA.portable.InvokeHandler, com.inprise.util.ncs.FileInstanceOperations {

  public com.inprise.util.ncs.FileInstance _this () {
   return com.inprise.util.ncs.FileInstanceHelper.narrow(super._this_object());
  }

  public com.inprise.util.ncs.FileInstance _this (org.omg.CORBA.ORB orb) {
    return com.inprise.util.ncs.FileInstanceHelper.narrow(super._this_object(orb));
  }

  public java.lang.String[] _ids () {
    return __ids;
  }

  public java.lang.String[] _all_interfaces (final org.omg.PortableServer.POA poa, final byte[] objectId) {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:inprise.com/util/ncs/FileInstance:1.0"
  };

  private static java.util.Dictionary _methods = new java.util.Hashtable();

  static {
    _methods.put("read", new int[] { 0, 0 });
    _methods.put("write", new int[] { 0, 1 });
    _methods.put("reset", new int[] { 0, 2 });
    _methods.put("close", new int[] { 0, 3 });
    _methods.put("cancel", new int[] { 0, 4 });
    _methods.put("exists", new int[] { 0, 5 });
    _methods.put("getName", new int[] { 0, 6 });
    _methods.put("getPath", new int[] { 0, 7 });
    _methods.put("getAbsolutePath", new int[] { 0, 8 });
    _methods.put("isAbsolute", new int[] { 0, 9 });
    _methods.put("getCanonicalPath", new int[] { 0, 10 });
    _methods.put("getParent", new int[] { 0, 11 });
    _methods.put("canRead", new int[] { 0, 12 });
    _methods.put("canWrite", new int[] { 0, 13 });
    _methods.put("isHidden", new int[] { 0, 14 });
    _methods.put("length", new int[] { 0, 15 });
    _methods.put("lastModified", new int[] { 0, 16 });
    _methods.put("isOpen", new int[] { 0, 17 });
  }

  public org.omg.CORBA.portable.OutputStream _invoke (java.lang.String opName,
                                                      org.omg.CORBA.portable.InputStream _input,
                                                      org.omg.CORBA.portable.ResponseHandler handler) {
    int[] method = (int[]) _methods.get(opName);
    if (method == null) {
      throw new org.omg.CORBA.BAD_OPERATION();
    }
    switch (method[0]) {
      case 0: {
        return com.inprise.util.ncs.FileInstancePOA._invoke(this, method[1], _input, handler);
      }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }

  public static org.omg.CORBA.portable.OutputStream _invoke (com.inprise.util.ncs.FileInstanceOperations _self,
                                                             int _method_id,
                                                             org.omg.CORBA.portable.InputStream _input,
                                                             org.omg.CORBA.portable.ResponseHandler _handler) {
  org.omg.CORBA.portable.OutputStream _output = null;
  {
    switch (_method_id) {
    case 0: {
    try {
      com.inprise.util.ncs.bytesHolder buffer = new com.inprise.util.ncs.bytesHolder();
      int bufferSize;
      bufferSize = _input.read_long();
      int _result = _self.read(buffer, bufferSize);
      _output = _handler.createReply();
      _output.write_long((int)_result);
      com.inprise.util.ncs.bytesHelper.write(_output, buffer.value);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.EndOfFile _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.EndOfFileHelper.write(_output, _exception);
    }
      return _output;
    }
    case 1: {
    try {
      byte[] buffer;
      buffer = com.inprise.util.ncs.bytesHelper.read(_input);
      int bufferSize;
      bufferSize = _input.read_long();
      int _result = _self.write(buffer, bufferSize);
      _output = _handler.createReply();
      _output.write_long((int)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 2: {
      boolean _result = _self.reset();
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
      return _output;
    }
    case 3: {
    try {
      _self.close();
      _output = _handler.createReply();
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 4: {
      _self.cancel();
      _output = _handler.createReply();
      return _output;
    }
    case 5: {
    try {
      boolean _result = _self.exists();
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
      return _output;
    }
    case 6: {
    try {
      java.lang.String _result = _self.getName();
      _output = _handler.createReply();
      _output.write_string((java.lang.String)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
      return _output;
    }
    case 7: {
    try {
      java.lang.String _result = _self.getPath();
      _output = _handler.createReply();
      _output.write_string((java.lang.String)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
      return _output;
    }
    case 8: {
    try {
      java.lang.String _result = _self.getAbsolutePath();
      _output = _handler.createReply();
      _output.write_string((java.lang.String)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
      return _output;
    }
    case 9: {
    try {
      boolean _result = _self.isAbsolute();
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
      return _output;
    }
    case 10: {
    try {
      java.lang.String _result = _self.getCanonicalPath();
      _output = _handler.createReply();
      _output.write_string((java.lang.String)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 11: {
    try {
      java.lang.String _result = _self.getParent();
      _output = _handler.createReply();
      _output.write_string((java.lang.String)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
      return _output;
    }
    case 12: {
    try {
      boolean _result = _self.canRead();
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
      return _output;
    }
    case 13: {
    try {
      boolean _result = _self.canWrite();
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
      return _output;
    }
    case 14: {
    try {
      boolean _result = _self.isHidden();
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
      return _output;
    }
    case 15: {
    try {
      long _result = _self.length();
      _output = _handler.createReply();
      _output.write_longlong((long)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
      return _output;
    }
    case 16: {
    try {
      long _result = _self.lastModified();
      _output = _handler.createReply();
      _output.write_longlong((long)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
      return _output;
    }
    case 17: {
      boolean _result = _self.isOpen();
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
      return _output;
    }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }
  }
}
