
package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::FileInstance
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/FileInstance:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface FileInstance {
  ...
};
 * </pre>
 */
public class FileInstancePOATie extends FileInstancePOA {
  private com.inprise.util.ncs.FileInstanceOperations _delegate;
  private org.omg.PortableServer.POA _poa;

  public FileInstancePOATie (final com.inprise.util.ncs.FileInstanceOperations _delegate) {
    this._delegate = _delegate;
  }

  public FileInstancePOATie (final com.inprise.util.ncs.FileInstanceOperations _delegate, 
                              final org.omg.PortableServer.POA _poa) {
    this._delegate = _delegate;
    this._poa = _poa;
  }

  public com.inprise.util.ncs.FileInstanceOperations _delegate () {
    return this._delegate;
  }

  public void _delegate (final com.inprise.util.ncs.FileInstanceOperations delegate) {
    this._delegate = delegate;
  }

  public org.omg.PortableServer.POA _default_POA () {
    if (_poa != null) {
      return _poa;
    } 
    else {
      return super._default_POA();
    }
  }

  /**
   * <pre>
   *   long read (out com.inprise.util.ncs.bytes buffer, in long bufferSize)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError,
            com.inprise.util.ncs.EndOfFile);
   * </pre>
   */
  public int read (com.inprise.util.ncs.bytesHolder buffer, 
                   int bufferSize) throws  com.inprise.util.ncs.BadState, 
                                           com.inprise.util.ncs.FileAccessError, 
                                           com.inprise.util.ncs.EndOfFile {
    return this._delegate.read(buffer, bufferSize);
  }

  /**
   * <pre>
   *   long write (in com.inprise.util.ncs.bytes buffer, in long bufferSize)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public int write (byte[] buffer, 
                    int bufferSize) throws  com.inprise.util.ncs.BadState, 
                                            com.inprise.util.ncs.FileAccessError {
    return this._delegate.write(buffer, bufferSize);
  }

  /**
   * <pre>
   *   boolean reset ();
   * </pre>
   */
  public boolean reset () {
    return this._delegate.reset();
  }

  /**
   * <pre>
   *   void close ()
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public void close () throws  com.inprise.util.ncs.BadState, 
                               com.inprise.util.ncs.FileAccessError {
    this._delegate.close();
  }

  /**
   * <pre>
   *   void cancel ();
   * </pre>
   */
  public void cancel () {
    this._delegate.cancel();
  }

  /**
   * <pre>
   *   boolean exists ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public boolean exists () throws  com.inprise.util.ncs.BadState {
    return this._delegate.exists();
  }

  /**
   * <pre>
   *   string getName ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public java.lang.String getName () throws  com.inprise.util.ncs.BadState {
    return this._delegate.getName();
  }

  /**
   * <pre>
   *   string getPath ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public java.lang.String getPath () throws  com.inprise.util.ncs.BadState {
    return this._delegate.getPath();
  }

  /**
   * <pre>
   *   string getAbsolutePath ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public java.lang.String getAbsolutePath () throws  com.inprise.util.ncs.BadState {
    return this._delegate.getAbsolutePath();
  }

  /**
   * <pre>
   *   boolean isAbsolute ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public boolean isAbsolute () throws  com.inprise.util.ncs.BadState {
    return this._delegate.isAbsolute();
  }

  /**
   * <pre>
   *   string getCanonicalPath ()
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public java.lang.String getCanonicalPath () throws  com.inprise.util.ncs.BadState, 
                                                      com.inprise.util.ncs.FileAccessError {
    return this._delegate.getCanonicalPath();
  }

  /**
   * <pre>
   *   string getParent ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public java.lang.String getParent () throws  com.inprise.util.ncs.BadState {
    return this._delegate.getParent();
  }

  /**
   * <pre>
   *   boolean canRead ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public boolean canRead () throws  com.inprise.util.ncs.BadState {
    return this._delegate.canRead();
  }

  /**
   * <pre>
   *   boolean canWrite ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public boolean canWrite () throws  com.inprise.util.ncs.BadState {
    return this._delegate.canWrite();
  }

  /**
   * <pre>
   *   boolean isHidden ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public boolean isHidden () throws  com.inprise.util.ncs.BadState {
    return this._delegate.isHidden();
  }

  /**
   * <pre>
   *   long long length ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public long length () throws  com.inprise.util.ncs.BadState {
    return this._delegate.length();
  }

  /**
   * <pre>
   *   long long lastModified ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public long lastModified () throws  com.inprise.util.ncs.BadState {
    return this._delegate.lastModified();
  }

  /**
   * <pre>
   *   boolean isOpen ();
   * </pre>
   */
  public boolean isOpen () {
    return this._delegate.isOpen();
  }

}
