package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::Navigator
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/Navigator:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Navigator {
  ...
};
 * </pre>
 */
public interface NavigatorOperations {
  /**
   * <pre>
   *   com.inprise.util.ncs.FileInstance open (in string filename, in string mode)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public com.inprise.util.ncs.FileInstance open (java.lang.String filename, 
                                                 java.lang.String mode) throws com.inprise.util.ncs.BadState, 
                                                                               com.inprise.util.ncs.FileAccessError;

  /**
   * <pre>
   *   com.inprise.util.ncs.FileInstance openInFolder (in string foldername,
                                                  in string filename)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError,
            com.inprise.util.ncs.FileTypeError);
   * </pre>
   */
  public com.inprise.util.ncs.FileInstance openInFolder (java.lang.String foldername, 
                                                         java.lang.String filename) throws com.inprise.util.ncs.BadState, 
                                                                                           com.inprise.util.ncs.FileAccessError, 
                                                                                           com.inprise.util.ncs.FileTypeError;

  /**
   * <pre>
   *   boolean release (in com.inprise.util.ncs.FileInstance inst)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public boolean release (com.inprise.util.ncs.FileInstance inst) throws com.inprise.util.ncs.BadState, 
                                                                         com.inprise.util.ncs.FileAccessError;

  /**
   * <pre>
   *   boolean reset (in com.inprise.util.ncs.FileInstance inst);
   * </pre>
   */
  public boolean reset (com.inprise.util.ncs.FileInstance inst);

  /**
   * <pre>
   *   boolean cd (in string folder)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError,
            com.inprise.util.ncs.FileTypeError);
   * </pre>
   */
  public boolean cd (java.lang.String folder) throws com.inprise.util.ncs.BadState, 
                                                     com.inprise.util.ncs.FileAccessError, 
                                                     com.inprise.util.ncs.FileTypeError;

  /**
   * <pre>
   *   string pwd ()
    raises (com.inprise.util.ncs.BadState);
   * </pre>
   */
  public java.lang.String pwd () throws com.inprise.util.ncs.BadState;

  /**
   * <pre>
   *   com.inprise.util.ncs.strings list ()
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public java.lang.String[] list () throws com.inprise.util.ncs.BadState, 
                                           com.inprise.util.ncs.FileAccessError;

  /**
   * <pre>
   *   com.inprise.util.ncs.FileAttr getAttr (in string filename)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public com.inprise.util.ncs.FileAttr getAttr (java.lang.String filename) throws com.inprise.util.ncs.BadState, 
                                                                                  com.inprise.util.ncs.FileAccessError;

  /**
   * <pre>
   *   boolean isFolder (in string filename)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public boolean isFolder (java.lang.String filename) throws com.inprise.util.ncs.BadState, 
                                                             com.inprise.util.ncs.FileAccessError;

  /**
   * <pre>
   *   boolean isFile (in string filename)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError);
   * </pre>
   */
  public boolean isFile (java.lang.String filename) throws com.inprise.util.ncs.BadState, 
                                                           com.inprise.util.ncs.FileAccessError;

  /**
   * <pre>
   *   boolean mkdir (in string foldername)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError,
            com.inprise.util.ncs.FileTypeError);
   * </pre>
   */
  public boolean mkdir (java.lang.String foldername) throws com.inprise.util.ncs.BadState, 
                                                            com.inprise.util.ncs.FileAccessError, 
                                                            com.inprise.util.ncs.FileTypeError;

  /**
   * <pre>
   *   boolean rm (in string filename)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError,
            com.inprise.util.ncs.FileTypeError);
   * </pre>
   */
  public boolean rm (java.lang.String filename) throws com.inprise.util.ncs.BadState, 
                                                       com.inprise.util.ncs.FileAccessError, 
                                                       com.inprise.util.ncs.FileTypeError;

  /**
   * <pre>
   *   boolean unpack (in string jarfile, in string foldername)
    raises (com.inprise.util.ncs.BadState,
            com.inprise.util.ncs.FileAccessError,
            com.inprise.util.ncs.FileTypeError,
            com.inprise.util.ncs.UnpackError);
   * </pre>
   */
  public boolean unpack (java.lang.String jarfile, 
                         java.lang.String foldername) throws com.inprise.util.ncs.BadState, 
                                                             com.inprise.util.ncs.FileAccessError, 
                                                             com.inprise.util.ncs.FileTypeError, 
                                                             com.inprise.util.ncs.UnpackError;

}
