package com.inprise.util.ncs;

/**
 * <ul>
 * <li> <b>IDL Source</b>    "R:/ACME/Visigenic/dev/JSoft/IAS/src/share/idl/NetworkCopyService.idl"
 * <li> <b>IDL Name</b>      ::util::ncs::Navigator
 * <li> <b>Repository Id</b> IDL:inprise.com/util/ncs/Navigator:1.0
 * </ul>
 * <b>IDL definition:</b>
 * <pre>
 * interface Navigator {
  ...
};
 * </pre>
 */
public abstract class NavigatorPOA extends org.omg.PortableServer.Servant implements 
org.omg.CORBA.portable.InvokeHandler, com.inprise.util.ncs.NavigatorOperations {

  public com.inprise.util.ncs.Navigator _this () {
   return com.inprise.util.ncs.NavigatorHelper.narrow(super._this_object());
  }

  public com.inprise.util.ncs.Navigator _this (org.omg.CORBA.ORB orb) {
    return com.inprise.util.ncs.NavigatorHelper.narrow(super._this_object(orb));
  }

  public java.lang.String[] _ids () {
    return __ids;
  }

  public java.lang.String[] _all_interfaces (final org.omg.PortableServer.POA poa, final byte[] objectId) {
    return __ids;
  }

  private static java.lang.String[] __ids = {
    "IDL:inprise.com/util/ncs/Navigator:1.0"
  };

  private static java.util.Dictionary _methods = new java.util.Hashtable();

  static {
    _methods.put("open", new int[] { 0, 0 });
    _methods.put("openInFolder", new int[] { 0, 1 });
    _methods.put("release", new int[] { 0, 2 });
    _methods.put("reset", new int[] { 0, 3 });
    _methods.put("cd", new int[] { 0, 4 });
    _methods.put("pwd", new int[] { 0, 5 });
    _methods.put("list", new int[] { 0, 6 });
    _methods.put("getAttr", new int[] { 0, 7 });
    _methods.put("isFolder", new int[] { 0, 8 });
    _methods.put("isFile", new int[] { 0, 9 });
    _methods.put("mkdir", new int[] { 0, 10 });
    _methods.put("rm", new int[] { 0, 11 });
    _methods.put("unpack", new int[] { 0, 12 });
  }

  public org.omg.CORBA.portable.OutputStream _invoke (java.lang.String opName,
                                                      org.omg.CORBA.portable.InputStream _input,
                                                      org.omg.CORBA.portable.ResponseHandler handler) {
    int[] method = (int[]) _methods.get(opName);
    if (method == null) {
      throw new org.omg.CORBA.BAD_OPERATION();
    }
    switch (method[0]) {
      case 0: {
        return com.inprise.util.ncs.NavigatorPOA._invoke(this, method[1], _input, handler);
      }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }

  public static org.omg.CORBA.portable.OutputStream _invoke (com.inprise.util.ncs.NavigatorOperations _self,
                                                             int _method_id,
                                                             org.omg.CORBA.portable.InputStream _input,
                                                             org.omg.CORBA.portable.ResponseHandler _handler) {
  org.omg.CORBA.portable.OutputStream _output = null;
  {
    switch (_method_id) {
    case 0: {
    try {
      java.lang.String filename;
      filename = _input.read_string();
      java.lang.String mode;
      mode = _input.read_string();
      com.inprise.util.ncs.FileInstance _result = _self.open(filename, mode);
      _output = _handler.createReply();
      com.inprise.util.ncs.FileInstanceHelper.write(_output, _result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 1: {
    try {
      java.lang.String foldername;
      foldername = _input.read_string();
      java.lang.String filename;
      filename = _input.read_string();
      com.inprise.util.ncs.FileInstance _result = _self.openInFolder(foldername, 
                                                                     filename);
      _output = _handler.createReply();
      com.inprise.util.ncs.FileInstanceHelper.write(_output, _result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileTypeError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileTypeErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 2: {
    try {
      com.inprise.util.ncs.FileInstance inst;
      inst = com.inprise.util.ncs.FileInstanceHelper.read(_input);
      boolean _result = _self.release(inst);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 3: {
      com.inprise.util.ncs.FileInstance inst;
      inst = com.inprise.util.ncs.FileInstanceHelper.read(_input);
      boolean _result = _self.reset(inst);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
      return _output;
    }
    case 4: {
    try {
      java.lang.String folder;
      folder = _input.read_string();
      boolean _result = _self.cd(folder);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileTypeError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileTypeErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 5: {
    try {
      java.lang.String _result = _self.pwd();
      _output = _handler.createReply();
      _output.write_string((java.lang.String)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
      return _output;
    }
    case 6: {
    try {
      java.lang.String[] _result = _self.list();
      _output = _handler.createReply();
      com.inprise.util.ncs.stringsHelper.write(_output, _result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 7: {
    try {
      java.lang.String filename;
      filename = _input.read_string();
      com.inprise.util.ncs.FileAttr _result = _self.getAttr(filename);
      _output = _handler.createReply();
      com.inprise.util.ncs.FileAttrHelper.write(_output, _result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 8: {
    try {
      java.lang.String filename;
      filename = _input.read_string();
      boolean _result = _self.isFolder(filename);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 9: {
    try {
      java.lang.String filename;
      filename = _input.read_string();
      boolean _result = _self.isFile(filename);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 10: {
    try {
      java.lang.String foldername;
      foldername = _input.read_string();
      boolean _result = _self.mkdir(foldername);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileTypeError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileTypeErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 11: {
    try {
      java.lang.String filename;
      filename = _input.read_string();
      boolean _result = _self.rm(filename);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileTypeError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileTypeErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    case 12: {
    try {
      java.lang.String jarfile;
      jarfile = _input.read_string();
      java.lang.String foldername;
      foldername = _input.read_string();
      boolean _result = _self.unpack(jarfile, foldername);
      _output = _handler.createReply();
      _output.write_boolean((boolean)_result);
    }
    catch (com.inprise.util.ncs.BadState _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.BadStateHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileAccessError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileAccessErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.FileTypeError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.FileTypeErrorHelper.write(_output, _exception);
    }
    catch (com.inprise.util.ncs.UnpackError _exception) {
      _output = _handler.createExceptionReply();
      com.inprise.util.ncs.UnpackErrorHelper.write(_output, _exception);
    }
      return _output;
    }
    }
    throw new org.omg.CORBA.BAD_OPERATION();
  }
  }
}
